Skip to main content
`Ctrl`+`K`

# PetscObjectSetFromOptions

Sets generic parameters from user options.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetFromOptions(PetscObject obj)

Collective

## Input Parameter

- obj - the `PetscObject`

## Note

We have no generic options at present, so this does nothing.

## See Also

`PetscObjectSetOptionsPrefix()`, `PetscObjectGetOptionsPrefix()`, `PetscObject`

## Level

beginner

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages